# file2link 
PHP file sharing service [free of rights](https://en.wikipedia.org/wiki/Open_source) (license [Beerware](https://en.wikipedia.org/wiki/Beerware)) and free. 

**Demonstration : https://dl.zici.fr/**

## Requis

 - HTTP serveur htaccess compatible (url rewriting enable)
 - PHP 5.6 minimum
 - PHP GD lib
 - No nessecary database

## Installation

Upload source content on you web server

Move config file : 

    mv config.yaml.exemple config.yaml

Change paramètre in config.yaml Make sure the consistency between:
 - *maxUploadPerFile* is similar to PHP config *upload_max_filesize* and *post_max_size* 
 - *maxUploadNb* is similar to PHP config *max_file_uploads*
 
Make sure the "files" directory is writable

## Changelog

 - futur
	- Passowrd for access
	- drag and drop for upload
	- limit by ip+cookies (sqlite) (limit abuse)
	- delete after first access
	- BUG delete file, but already in storage
	- crypt files
	
 - 0.1 (16/10/2019)
	 - Configure with YAML file
	 - Submit a file upload service with temporary link (Direct link, force download link, download multiple after zip)
	 - Limit in time
	 - Limit in number is possible
	 - Limit on type of file (mime) is possible
	 - Upload with progress bar in HTML5
	 - Upload multi file
	 - Multilingual (French / English)
	 - Images resize possible
	 - Find these files before uploader (local storage)
	 - Housekeeping in files expired by cron job or by web traffic on the page
	 - Personnalize content page with include header-page.php, header.php, footer-page.php, footer.php, start-home.php, end-home.php

# Licence

Beerware : https://en.wikipedia.org/wiki/Beerware

# Crédit

Mime type icone : https://github.com/colorswall/CSS-file-icons  
Icone : https://fontawesome.com   Creative Commons Attribution 4.0 International license

# Author

David Mercereau [david #arobase# mercereau #point# info](http://david.mercereau.info/contact/) 
